# KDChartPieAttributes.cpp File Reference

`#include "KDChartPieAttributes.h"`
`#include "KDChartPieAttributes_p.h"`
`#include <QDebug>`
`#include <KDABLibFakes>`

Include dependency graph for KDChartPieAttributes.cpp:

Go to the source code of this file.

## Defines

#define | d d_func()

## Functions

QDebug | operator<< (QDebug dbg, const KDChart::PieAttributes &a)

## Define Documentation

#define d d_func()

Definition at line 33 of file KDChartPieAttributes.cpp.

## Function Documentation

QDebug operator<< | ( | QDebug | dbg,
|  | const KDChart::PieAttributes & | a |
| ) |  |  |

Definition at line 106 of file KDChartPieAttributes.cpp.

    00107 {
    00108     dbg << "KDChart::PieAttributes(";
    00109     dbg << "explodeFactor="<< a.explodeFactor() << ")";
    00110     return dbg;
    00111 }